### Home Classes Methods

### In Files

- lib/math_ml/element.rb

### Parent

MathML::Element

### Methods

- ::new
- #close=
- #open=

### Class/Module Index

Quicksearch

- MathML
- MathML::Align
- MathML::Element
- MathML::Error
- MathML::Fenced
- MathML::Frac
- MathML::Identifier
- MathML::LaTeX
- MathML::LaTeX::BlockNotClosed
- MathML::LaTeX::Builtin
- MathML::LaTeX::Builtin::Symbol
- MathML::LaTeX::BuiltinCommands
- MathML::LaTeX::BuiltinEnvironments
- MathML::LaTeX::BuiltinGroups
- MathML::LaTeX::BuiltinGroups::CircularReferenceEnvironment
- MathML::LaTeX::EndMismatchToBegin
- MathML::LaTeX::EnvironmentNotEnd
- MathML::LaTeX::Font
- MathML::LaTeX::Macro
- MathML::LaTeX::Macro::Command
- MathML::LaTeX::Macro::Environment
- MathML::LaTeX::NeedParameter
- MathML::LaTeX::NotEnvironment
- MathML::LaTeX::OptionNotClosed
- MathML::LaTeX::ParseError
- MathML::LaTeX::Parser
- MathML::LaTeX::Parser::CircularReferenceCommand
- MathML::LaTeX::RE
- MathML::LaTeX::Scanner
- MathML::Line
- MathML::Math
- MathML::None
- MathML::Number
- MathML::Operator
- MathML::Over
- MathML::Root
- MathML::Row
- MathML::Space
- MathML::Sqrt
- MathML::String
- MathML::SubSup
- MathML::Symbol
- MathML::Symbol::CharacterReference
- MathML::Symbol::EntityReference
- MathML::Table
- MathML::Td
- MathML::Text
- MathML::Tr
- MathML::Under
- MathML::Util
- MathML::Util::MathData
- MathML::Util::SimpleLaTeX
- MathML::Variant
- MathML::XMLElement
- String

No matching classes.

# MathML::Fenced

### Attributes

close[R]
open[R]

### Public Class Methods

new() click to toggle source

    # File lib/math_ml/element.rb, line 59
    def initialize
            super("mfenced")
    end

### Public Instance Methods

close=(c) click to toggle source

    # File lib/math_ml/element.rb, line 69
    def close=(c)
            c = "" if c.to_s=="." || !c
            c = "}" if c.to_s=="\\}"
            self[:close] = MathML.pcstring(c, true)
    end

open=(o) click to toggle source

    # File lib/math_ml/element.rb, line 63
    def open=(o)
            o = "" if o.to_s=="." || !o
            o = "{" if o.to_s=="\\{"
            self[:open] = MathML.pcstring(o, true)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.